%global drupaldir %{_datadir}/drupal7

Name:    drupal7-advanced_help
Version: 1.3
Release: 6%{?dist}
Summary: Allows module developers to store their help outside the module system in html

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/advanced_help
Source0: http://ftp.drupal.org/files/projects/advanced_help-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
The advanced help module allows module developers to store their help
outside the module system, in pure .html files. The files can be easily
translated simply by copying them into the right translations directory.
The entire system can appear in a pop-up or not as the module prefers.

%prep

%setup -qn advanced_help

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/advanced_help
cp -pr * %{buildroot}%{drupaldir}/modules/advanced_help

%clean
rm -rf %{buildroot}

%files
%doc LICENSE.txt %{name}-fedora-README.txt
%{drupaldir}/modules/advanced_help
%exclude %{drupaldir}/modules/advanced_help/*.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3-3
- Remove call to %%defattr macro, as it is no longer needed

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3-1
- Update to upstream 1.3 release for bug fixes
- Upstream changelog available at https://www.drupal.org/node/2494535

* Tue Mar 31 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2-1
- New upstream 1.2 release for bug fixes
- Upstream changelog available at https://www.drupal.org/node/2460775

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 13 2013 Jared Smith <jsmith@fedoraproject.org> - 1.1-1
- New upstream 1.1 release
- Upstream changelog at https://drupal.org/node/2155509

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- New upstream version.

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta1
- Initial packaging.


